local loOpenFileDialog, ;
	lcFileNames, ;
	lcFile

* First use GETFILE() so we can see the difference with the new open file
* dialog.

getfile('', '', '', 0, 'Select File')

* Instantiate the open file dialog object and set its properties.

loOpenFileDialog = createobject('VistaDialogs4COM.CommonOpenFileDialog')
with loOpenFileDialog
	.CheckFileExists  = .T.
		&& ensure the selected file exists
	.CheckPathExists  = .T.
		&& ensure the selected folder exists
	.ShowPlacesList   = .T.
		&& populate the Favorite Links section
	.DereferenceLinks = .T.
		&& specifies whether the dialog box returns the location of the file
		&& referenced by the shortcut or whether it returns the location
		&& of the shortcut (.lnk). Also, if a shortcut to a folder is
		&& selected, that folder is opened in the dialog; otherwise, that
		&& folder is returned
	.Title            = 'Select File'
		&& dialog caption; if omitted, "Open" is used

* Here are some optional settings you may want to use.

*	.ShowHiddenItems  = .T.
		&& show hidden files and folders
*	.Multiselect      = .T.
		&& allow multiple files to be selected
*	.AddToMruList     = .T.
		&& add selected files to the MRU list
*	.AddExtension     = .T.
		&& adds the extension to the filename if the user omits it

* These properties exist but appear to do nothing in the current release.

*	.AllowPropertyEditing = .T.
*	.RestoreDirectory     = .T.
*	.CheckReadOnly        = .T.
*	.CheckValidNames      = .T.

* Hopefully additional properties specified in the OpenFileDialog docs on MSDN
* (http://msdn2.microsoft.com/en-us/library/system.windows.forms.openfiledialog_members.aspx)
* will be implemented in a future release.

* Display the dialog and get the list of files the user selected if they didn't
* cancel.

	if not .ShowDialog()
		lcFileNames = ''
		for each lcFile in .FileNames
			lcFileNames = iif(empty(lcFileNames), '', chr(13)) + lcFileNames + lcFile
		next lcFile
		messagebox('You selected:' + chr(13) + lcFileNames)
	endif not .ShowDialog()
endwith
